--[[----------------------------------------------------------------------------

Info.lua
Summary information for creator filter plug-in

------------------------------------------------------------------------------]]

PluginName = "Merge Titles"

return {

	LrSdkVersion = 3.0,
	LrSdkMinimumVersion = 2.2,

	LrPluginName = PluginName,
	LrToolkitIdentifier = "com.jkeir.lightroom.mergetitles",
	
	LrPluginInfoProvider = "UpdateCheck.lua",

	LrExportFilterProvider = {
		title = "Merge Titles",
		file = "MTFilter.lua",
		id = "MergeTitles",
	},

	LrExportMenuItems = {
		{
			title = "&Merge Titles",
			file = "MTMenu.lua",
			enabledWhen = "photosAvailable",
		},
	},

    LrInitPlugin = "Init.lua",
	VERSION = { major=1, minor=0, revision=6118, build=0, },
	
	-- The base name for the XML update file - base-major.xml
	webUpdateName = "LR_MergeTitles",
	
	-- The name to search for when retrieving license keys.
	retrieveName = "Caption Helper",

	settingsSections = function(LrView, prefs) 
			local viewFactory = LrView.osFactory()

			if prefs.CopyMode == nil then
				prefs.CopyMode = 2
			end
			if prefs.NeverReplace == nil then
				prefs.NeverReplace = true
			end
			
			return {
				title = "Plugin Settings",
				bind_to_object = prefs,
				
				viewFactory:column {
					spacing = viewFactory:control_spacing(),
					
					viewFactory:row {
						viewFactory:static_text {
							title = "Copy",
						},

						viewFactory:popup_menu {
							value = LrView.bind("CopyMode"),
							width_in_chars = 32,
							items = {
								{ title = "Caption to Title", value = 0 },
								{ title = "Title to Caption", value = 1 },
								{ title = "Either if the other is unset", value = 2 },
							},
						},
					},
					viewFactory:row {
						spacing = viewFactory:control_spacing(),
						
						viewFactory:checkbox {
							title = "Never replace a value",
							value = LrView.bind("NeverReplace"),
						},
					},
				},
			}
			end,

	retval = "M3JzteJzueJrHqTIQOykAZvdB3RdAYvnvUTkt2XcuqTnRaT0sYNlDy==",
	expval = 1493378109,
	dlpage = "http://www.lightroom-plugins.com/MergeTitles.php",
	logname = "MergeTitles",
}
